## wifi-radar 1.9.9

=== Makefile ===
#
# $Id: Makefile 101 2008-03-12 15:36:39Z finley $
#  vi:set filetype=make:
#

SHELL = /bin/sh

#
# These settings are what I would expect for most modern Linux distros, 
# and are what work for me unmodified on Ubuntu. -BEF-
# 
package 	= wifi-radar
sbindir 	= $(DESTDIR)/usr/sbin
initdir 	= $(DESTDIR)/etc/init.d
sysconfdir 	= $(DESTDIR)/etc/
mandir 		= $(DESTDIR)/usr/share/man
pixmapsdir 	= $(DESTDIR)/usr/share/pixmaps
appsdir 	= $(DESTDIR)/usr/share/applications

srcdir = .
top_srcdir = .
top_builddir = .

VERSION = $(shell cat VERSION)

TOPDIR := $(CURDIR)


.PHONY: all
all:	wifi-radar.localized

.PHONY: install
install:	all
	test -d ${sysconfdir} || install -d -m 755 ${sysconfdir}
	test -e ${sysconfdir}/wifi-radar.conf || install -m 644 wifi-radar.conf	${sysconfdir}
	
	test -d ${sbindir} || install -d -m 755 ${sbindir}
	install -m 755 wifi-radar.localized	${sbindir}/wifi-radar
	
	test -d ${mandir}/man1 || install -d -m 755 ${mandir}/man1
	install -m 644 wifi-radar.1 		${mandir}/man1
	
	test -d ${mandir}/man5 || install -d -m 755 ${mandir}/man5
	install -m 644 wifi-radar.conf.5 	${mandir}/man5
	
	test -d ${pixmapsdir} || install -d -m 755 ${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.svg	${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.png	${pixmapsdir}
	
	test -d ${appsdir} || install -d -m 755 ${appsdir}
	install -m 644 wifi-radar.desktop	${appsdir}
	

wifi-radar.localized:	wifi-radar
	cp wifi-radar wifi-radar.tmp
	perl -pi -e 's#^WIFI_RADAR_VERSION\s+=.*#WIFI_RADAR_VERSION = "${VERSION}"#' wifi-radar.tmp
#	perl -pi -e 's#^CONF_FILE\s+=.*#CONF_FILE = "${sysconfdir}/wifi-radar.conf"#' wifi-radar.tmp
	mv wifi-radar.tmp wifi-radar.localized

.PHONY: tarball
tarball: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign
$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --detach-sign -a --output ${package}-$(VERSION).tar.bz2.sign ${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --verify ${package}-$(VERSION).tar.bz2.sign

$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2:
	@echo
	@echo "I will now do an 'svn up' to make sure we're packaging the most current"
	@echo "version of this code."
	@echo
	@echo 'Hit <ctrl>+<c> now to cancel!!!  or hit <Enter> to proceed.'
	@read i
	svn up
	rm -fr $(TOPDIR)/tmp
	mkdir -p $(TOPDIR)/tmp/
	svn export . $(TOPDIR)/tmp/${package}-$(VERSION)
	svn log > $(TOPDIR)/tmp/${package}-$(VERSION)/CHANGE.LOG
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type f -exec chmod ug+r  {} \;
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type d -exec chmod ug+rx {} \;
	chmod 755 $(TOPDIR)/tmp/${package}-$(VERSION)/wifi-radar
	cd $(TOPDIR)/tmp && tar -ch ${package}-$(VERSION) | bzip2 > ${package}-$(VERSION).tar.bz2
	ls -l $(TOPDIR)/tmp/



.PHONY: clean
clean:
	rm -f  wifi-radar.localized
	rm -fr tmp/

.PHONY: distclean
distclean: clean
