=== debian/changelog ===
wifi-radar (2.0.s08+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #867755)
  * Update the dependency from the no longer existing dhcp3-client
    to isc-dhcp-client. (Closes: #680980)
  * Update the upstream homepage address and watch file.

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Jul 2017 20:33:16 +0300

wifi-radar (2.0.s08+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #628206
    - Indonesian (Mahyuddin Susanto).  Closes: #657826
    - Polish (Michał Kułach).  Closes: #658350

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Feb 2012 08:40:38 +0100

wifi-radar (2.0.s08+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.s08+dfsg (Closes: #520845, #544122)
    - this bug should be fixed with s05, but it can't be reproduced 
      anymore here, therefore I'm closing this now.
  * Acknowledge NMU of Christian: (Closes: #549970)
  * correct watch file to work correctly
  * Switch to source/format 3.0 (quilt)
  * Bump policy to 3.9.1 - no further changes needed
  * Remove obsolete config file /etc/init.d/wifi-radar (Closes: #588110)
  * Add new debconf translation for Brazilian Portuguese 
    (Closes: #608528)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 16:27:35 +0100

wifi-radar (2.0.s05-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly use 1.0 as source format
  * Fix pending l10n issues. Debconf translations:
    - Finnish (Esko Arajärvi).  Closes: #549970

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Apr 2010 12:14:56 +0200

wifi-radar (2.0.s05-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix upstream home page in copyright, watch and control files
    Closes: #540714
  * Fix pending l10n issues. Debconf translations:
    - Italian (Luca Monducci).  Closes: #504994
    - Russian (Yuri Kozlov).  Closes: #543181
    - Vietnamese (Clytie Siddall).  Closes: #549297
    - Italian (Luca Monducci).  Closes: #549577

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 Oct 2009 20:29:09 +0200

wifi-radar (2.0.s05-1) unstable; urgency=low

  * New upstream version
    - does not save configuration every run, in order to do not wast disk 
      resources (Closes: #468412)
    - Configuration does not longer disappear after some runs (Closes: #511338)
    - wifi-radar now creates the configuration file if it is 
      missing (Closes: #490667)
  * Patch makefile in order to respect PREFIX
  * Rediffed wifi-radar.desktop patch
  * Added Depends on menu as we use su-to-root in .desktop (Closes: #521583)
  * Updated package to for policy 3.8.2, no further changes needed
  * Removed init script as upstream doesn't support any longer the daemon mode of wifi-radar

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 17:20:37 +0200

wifi-radar (1.9.9-1) unstable; urgency=low

  * Add patch to fix FTBFS because of double unpatch target (Closes: #474886)
  * Packaging new upstream version.
  * Fix copyright.

 -- Patrick Winnertz <winnie@debian.org>  Tue, 15 Apr 2008 00:15:34 +0200

wifi-radar (1.9.8-5) unstable; urgency=low

  * Argh.. forgot to remove x which I've added for testing purposes from the
    wifi-radar.patch file. 

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Jan 2008 23:25:26 +0100

wifi-radar (1.9.8-4) unstable; urgency=low

  * Remove Web Site from Control: Create Homepage tag. (Closes: #440599)
  * Switch from ipw backend to wext backend. (Closes: #460628)
  * Rewrote patch to fix behaviour if auto_detect doesn't work.
    Add errorhandler for dh_installinit in order to not fail on upgrade or remove
    (Closes: #461099) 

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Jan 2008 18:07:16 +0100

wifi-radar (1.9.8-3) unstable; urgency=low

  * Modified desktop file again. Forgot to add a -X to su-to-root
    (Closes: #458592)
  * Prevents wifi-radar from crashing when no wlan-device is available
    (Closes: #458115) (Closes: #458890)
  * Modified init script to use the correct path of the config file. 
    (Closes: #458892)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 10 Jan 2008 18:26:06 +0100

wifi-radar (1.9.8-2) unstable; urgency=low

  * Modified menu file to fit the newest menu policy.
  * Bumped Standards-Version to 3.7.3. No other changes needed.
  * Register initscript with update-rc.d
        - Copied init_script to debian dir
        - Added lsb header
        - Added force-reload option
  * Upstream Desktop file was incorrect, therefore added a patch

 -- Patrick Winnertz <winnie@debian.org>  Sun, 16 Dec 2007 13:37:18 +0100

wifi-radar (1.9.8-1) unstable; urgency=low

  * Packaging new upstream version (Closes: #425231)
  * Corrected watch file to work properly.
  * Adjusted patches for new version
  * Install upstream CHANGE.LOG to /usr/share/doc/wifi-radar
  * Add root check (Closes: 447885)
  * Remove menu as dependency for wifi-radar (Closes: 450780)

 -- Patrick Winnertz (winnie) <winnie@debian.org>  Wed, 05 Dec 2007 14:24:57 +0100

wifi-radar (1.9.7-3) unstable; urgency=low

  * Added dutch translation of debconf questions. Thanks to Bart Cornelis
    (Closes: #415515)
  * Added japanese translation of debconf questions. Thanks to Kobayashi
    Noritada. (Closes: #414296)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Tue, 20 Mar 2007 09:32:20 +0100

wifi-radar (1.9.7-2) unstable; urgency=low

  * Added spanish translation of debconf questions (Closes: #411225)
  * Added Portuguese translation for debconf messages (Closes: #412037)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sat, 17 Feb 2007 11:23:42 +0100

wifi-radar (1.9.7-1) unstable; urgency=low

  * New upstream release available. (Closes: #402929)
  * Removed debian directory from upstream tarball and rebuilt tarball.
  * Removed dependency against lsb-base because no
    init scripts are shipped with the package. (Closes: #402049)


