=== debian/control ===
Source: wifi-radar
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf, imagemagick
Standards-Version: 3.9.1
Homepage: http://wifi-radar.tuxfamily.org/

Package: wifi-radar
Architecture: all
Depends: ${misc:Depends}, python, python-gtk2 (>= 2.0), isc-dhcp-client | dhcp-client, wireless-tools, menu
Recommends: wpasupplicant
Description: graphical utility for managing Wi-Fi profiles
 WiFi Radar enables you to scan for available wireless networks and create
 profiles containing the network configuration options for your preferred
 networks.  You can drag and drop your preferred networks to arrange the
 profile priority.
 .
 You need to have root access to use this program.
