=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DH_VERBOSE_ALL = 1
DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_CHANGELOGS_ALL = 
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
DEB_DH_INSTALLINIT_ARGS = --error-handler=errorhandler

build/wifi-radar:: debian/wifi-radar.xpm

debian/wifi-radar.xpm: pixmaps/wifi_radar_32x32.png
	convert $< $@

binary-install/wifi-radar::
	dh_install debian/wifi-radar.xpm usr/share/pixmaps/

clean::
	rm -f debian/wifi-radar.xpm
