=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://wifi-radar.tuxfamily.org/pub/wifi-radar-(.*).tar.bz2
